classification
Title: Incomplete error handling in Python/compile.c:compiler_call()
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, serhiy.storchaka, yselivanov
Priority: normal Keywords: patch

Created on 2018-11-20 22:38 by ZackerySpytz, last changed 2019-03-22 14:13 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10625 merged ZackerySpytz, 2018-11-20 22:40
PR 12496 merged ZackerySpytz, 2019-03-22 08:04
Messages (4)
msg330159 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2018-11-20 22:38
compiler_call() needs to check if an error occurred during the maybe_optimize_method_call() call.
msg338587 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-22 07:30
New changeset 97f5de01adf993aee17dcd26e22ae421d013f372 by Serhiy Storchaka (Zackery Spytz) in branch 'master':
bpo-35284: Fix the error handling in the compiler's compiler_call(). (GH-10625)
https://github.com/python/cpython/commit/97f5de01adf993aee17dcd26e22ae421d013f372
msg338602 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-22 13:21
New changeset bdb9c497e177cdf881892de289b9d8a2b132f138 by Serhiy Storchaka (Zackery Spytz) in branch '3.7':
bpo-35284: Fix the error handling in the compiler's compiler_call(). (GH-10625) (GH-12496)
https://github.com/python/cpython/commit/bdb9c497e177cdf881892de289b9d8a2b132f138
msg338606 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-22 14:13
I wonder how did you find this bug?
History
Date User Action Args
2019-03-22 14:13:43serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg338606

stage: patch review -> resolved
2019-03-22 13:21:01serhiy.storchakasetmessages: + msg338602
2019-03-22 08:04:25ZackerySpytzsetpull_requests: + pull_request12446
2019-03-22 07:30:38serhiy.storchakasetmessages: + msg338587
2018-11-22 11:30:31serhiy.storchakasetnosy: + serhiy.storchaka, yselivanov
2018-11-21 21:06:00brett.cannonsettitle: Incomplete error handling in the compiler's compiler_call() -> Incomplete error handling in Python/compile.c:compiler_call()
2018-11-20 22:40:30ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request9873
2018-11-20 22:38:01ZackerySpytzcreate